//
//  RegularExpression.h
//  RegExpKit
//
//  Created by Joar Wingfors on 2006-04-22.
//  Copyright 2006 joar.com. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface RegularExpression : NSObject
{
	@private
	
	void *myRegularExpression;
	void *myRegularExpressionExtra;
	int32_t *myWorkspaceVector;
	int32_t myWorkspaceVectorLength;
}

- (id) initWithPatternString:(NSString *) string isCaseSensitive:(BOOL) considerCase error:(NSError **) outError;

- (BOOL) matchesSubjectUTF8String:(const char *) string length:(u_int32_t) length error:(NSError **) outError;
- (BOOL) matchesSubjectString:(NSString *) string error:(NSError **) outError;

@end
